Package wx :: Class Point2D

[frames | no frames]

## Type Point2D

    object --+
             |
            Point2D

wx.Point2Ds represent a point or a vector in a 2d coordinate system with floating point values.

Method Summary
Point2D | ``__init__`(self, x, y)` Create a w.Point2D object.
| `__del__(self)`
bool | ``__eq__`(self, other)` Test for equality of wx.Point2D objects.
| `__getitem__(self, index)`
Point2D | `__iadd__(self, pt)`
Point2D | `__idiv__(self, pt)`
Point2D | `__imul__(self, pt)`
Point2D | `__isub__(self, pt)`
| `__len__(self)`
bool | ``__ne__`(self, other)` Test for inequality of wx.Point2D objects.
Point2D | ``__neg__`(self)` the reflection of this point
| `__nonzero__(self)`
| `__reduce__(self)`
| `__repr__(self)`
| `__setitem__(self, index, val)`
| `__str__(self)`
| ``asTuple`(*args, **kwargs)` asTuple is deprecated, use `Get` instead
(x,y) | ``Get`()` Return x and y properties as a tuple.
double | `GetCrossProduct(self, vec)`
double | `GetDistance(self, pt)`
double | `GetDistanceSquare(self, pt)`
double | `GetDotProduct(self, vec)`
(x,y) | ``GetFloor`()` Convert to integer
(x,y) | ``GetRounded`()` Convert to integer
double | `GetVectorAngle(self)`
double | `GetVectorLength(self)`
| `Normalize(self)`
| `Set(self, x, y)`
| `SetPolarCoordinates(self, angle, length)`
| `SetVectorAngle(self, degrees)`
| `SetVectorLength(self, length)`

Property Summary
| `Floor`: See `GetFloor`
| `Rounded`: See `GetRounded`
| `thisown`: The membership flag
| `VectorAngle`: See `GetVectorAngle` and `SetVectorAngle`
| `VectorLength`: See `GetVectorLength` and `SetVectorLength`
| `x`
| `y`

Class Variable Summary
`bool` | `__safe_for_unpickling__` = `True`

Method Details

### __init__(self, x=0.0, y=0.0)
(Constructor)

Create a w.Point2D object.

  Parameters:
    `x`
    (type=double)

    `y`
    (type=double)

  Returns:
    Point2D
  Overrides:
    `__builtin__.object.__init__`

### __eq__(self, other)
(Equality operator)

Test for equality of wx.Point2D objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __ne__(self, other)

Test for inequality of wx.Point2D objects.

  Parameters:
    `other`
    (type=PyObject)

  Returns:
    bool

### __neg__(self)

the reflection of this point

  Returns:
    Point2D

### asTuple(*args, **kwargs)

asTuple is deprecated, use `Get` instead

### Get()

Return x and y properties as a tuple.

  Returns:
    (x,y)

### GetFloor()

Convert to integer

  Returns:
    (x,y)

### GetRounded()

Convert to integer

  Returns:
    (x,y)

Property Details

### Floor

See `GetFloor`

  Get Method:
    `GetFloor`()

### Rounded

See `GetRounded`

  Get Method:
    `GetRounded`()

### thisown

The membership flag

### VectorAngle

See `GetVectorAngle` and `SetVectorAngle`

  Get Method:
    `GetVectorAngle`(self)
  Set Method:
    `SetVectorAngle`(self, degrees)

### VectorLength

See `GetVectorLength` and `SetVectorLength`

  Get Method:
    `GetVectorLength`(self)
  Set Method:
    `SetVectorLength`(self, length)

Class Variable Details

### __safe_for_unpickling__

  Type:
    `bool`
  Value:

        True

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:31 2007 | http://epydoc.sf.net